Bug 1156498 (supermin-dnf) - [rfe] use dnf instead of yum/yum-utils
Summary: [rfe] use dnf instead of yum/yum-utils
Keywords:
Status: CLOSED UPSTREAM
Alias: supermin-dnf
Product: Fedora
Classification: Fedora
Component: supermin
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard W.M. Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1157233 1161950 1186948
Blocks: 1156491
TreeView+ depends on / blocked
 
Reported: 2014-10-24 15:08 UTC by Rahul Sundaram
Modified: 2017-08-24 12:21 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-24 12:21:51 UTC
Type: Bug


Attachments (Terms of Use)

Description Rahul Sundaram 2014-10-24 15:08:48 UTC
Description of problem:

Fedora 22 is planning to switch over to dnf from yum as per

https://fedoraproject.org/wiki/Changes/ReplaceYumWithDNF

supermin depends on yum-utils because it is using repoquery.  please use dnf repoquery and drop the dependency on yum-utils when you have switched over.

Thanks!

Comment 1 Richard W.M. Jones 2014-10-24 15:20:15 UTC
The dependency is actually on yumdownloader (from yum-utils), and it
is required, not something we can drop unless there's an alternative
tool for downloading rpms from the current repository.

Does dnf have yumdownloader?  I'm not seeing it ...

Comment 2 Richard W.M. Jones 2014-10-24 15:22:43 UTC
With a bit more searching, apparently 'dnf download' is the
new method?

http://dnf-plugins-core.readthedocs.org/en/latest/download.html

Comment 3 Rahul Sundaram 2014-10-24 15:49:17 UTC
Correct

Comment 4 Pino Toscano 2014-10-24 16:03:43 UTC
It seems like it is part of the separate dnf-plugins-core module, which seems to be labeled as "experimental dnf plugins". Is it so, or are they something one can rely upon?

Also, at least in my rawhide VM dnf-plugins-core was not installed; while supermin certainly will depend on it, is it supposed to be installed by default in F22+?

Comment 5 Rahul Sundaram 2014-10-24 16:25:26 UTC
dnf-plugins-core is not really considered experimental anymore than dnf itself is to my knowledge.  In any case, if dnf is to become default, bugs in the core plugins should be reported and fixed as well.  So I don't see any problem in relying on them

Fedora 22 does have dnf-plugins-core by default.  I have done the change in comps myself.

Comment 6 Richard W.M. Jones 2014-10-26 12:04:27 UTC
Upstream fix:
https://github.com/libguestfs/supermin/commit/e2bdf032d5b780fbff3493b6b9ba283d8731259a

Unfortunately this is not a reliable replacement for yumdownloader.
See: https://bugzilla.redhat.com/show_bug.cgi?id=1157233

Comment 7 Richard W.M. Jones 2015-04-07 08:24:16 UTC
In Fedora >= 23, 'dnf download' is now used in preference to yumdownloader.
[supermin >= 5.1.12-8.fc23]

However I'm leaving this bug open because dependent bug 1161950
is not fixed yet.

Comment 8 Pino Toscano 2017-08-24 12:21:51 UTC
Since supermin 5.1.12-10, 'dnf download' is used in Fedora instead of 'yumdownloader'.  Hence closing.


Note You need to log in before you can comment on or make changes to this bug.